const services = require('../services');
const controller = {};

controller.home = async ctx => {
  ctx.body = 'home';
};

controller.code = async ctx => {
  const { query: { phone } } = ctx;
  if (!phone) {
    ctx.status = 400;
    ctx.body = ctx.$response(null, 'phone参数缺失', false);
    return;
  };
  const params = {
    phone
  };
  const body = await services.code(ctx, params);
  ctx.body = ctx.$response(body);
};

module.exports = controller;
